------------------------------------------------------------------------
-- Licensed Materials - Property of IBM
--
-- Copyright IBM Corporation 2017. All Rights Reserved.
--
-- US Government Users Restricted Rights- Use, duplication or disclosure
-- restricted by GSA ADP Schedule Contract with IBM Corp. 
------------------------------------------------------------------------
-- Script Name:       resource_permissions.sql
------------------------------------------------------------------------



DELETE FROM SECURITY_INFO;

----------------------------------------------------------------------
-- Security Information
INSERT INTO SECURITY_INFO (SEC_NAME)
 VALUES ('FTMSecurity');

CALL UPSERT_RES_PERM (
  'GUI',
  'calendar_entry',
  'view'
);

CALL UPSERT_RES_PERM (
  'GUI',
  'calendar_entry',
  'create'
);

CALL UPSERT_RES_PERM (
  'GUI',
  'calendar_entry',
  'edit'
);

CALL UPSERT_RES_PERM (
  'GUI',
  'calendar_entry',
  'delete'
);
 
CALL UPSERT_RES_PERM (
  'GUI',
  'calendar_group',
  'view'
);

CALL UPSERT_RES_PERM (
  'GUI',
  'calendar_group',
  'create'
);

CALL UPSERT_RES_PERM (
  'GUI',
  'calendar_group',
  'edit'
);

CALL UPSERT_RES_PERM (
  'GUI',
  'calendar_group',
  'delete'
);

-- Resource/Permissions
CALL UPSERT_RES_PERM (
  'GUI',
  'channel',
  'view'
);

CALL UPSERT_RES_PERM (
  'GUI',
  'channel',
  'create'
);

CALL UPSERT_RES_PERM (
  'GUI',
  'channel',
  'edit'
);

CALL UPSERT_RES_PERM (
  'GUI',
  'channel',
  'delete'
);


CALL UPSERT_RES_PERM (
  'GUI',
  'involved_party',
  'view'
);

CALL UPSERT_RES_PERM (
  'GUI',
  'involved_party',
  'create'
);

CALL UPSERT_RES_PERM (
  'GUI',
  'involved_party',
  'edit'
);

CALL UPSERT_RES_PERM (
  'GUI',
  'involved_party',
  'delete'
);


CALL UPSERT_RES_PERM (
  'GUI',
  'batch',
  'view'
);


CALL UPSERT_RES_PERM (
  'GUI',
  'classification',
  'view'
);

CALL UPSERT_RES_PERM (
  'GUI',
  'classification',
  'create'
);

CALL UPSERT_RES_PERM (
  'GUI',
  'classification',
  'edit'
);

CALL UPSERT_RES_PERM (
  'GUI',
  'classification',
  'delete'
);


CALL UPSERT_RES_PERM (
  'GUI',
  'event',
  'view'
);

CALL UPSERT_RES_PERM (
  'GUI',
  'event',
  'create'
);

CALL UPSERT_RES_PERM (
  'GUI',
  'event',
  'edit'
);

CALL UPSERT_RES_PERM (
  'GUI',
  'event',
  'delete'
);


CALL UPSERT_RES_PERM (
  'GUI',
  'format',
  'view'
);

CALL UPSERT_RES_PERM (
  'GUI',
  'format',
  'create'
);

CALL UPSERT_RES_PERM (
  'GUI',
  'format',
  'edit'
);

CALL UPSERT_RES_PERM (
  'GUI',
  'format',
  'delete'
);


CALL UPSERT_RES_PERM (
  'GUI',
  'mapper',
  'view'
);

CALL UPSERT_RES_PERM (
  'GUI',
  'mapper',
  'create'
);

CALL UPSERT_RES_PERM (
  'GUI',
  'mapper',
  'edit'
);

CALL UPSERT_RES_PERM (
  'GUI',
  'mapper',
  'delete'
);


CALL UPSERT_RES_PERM (
  'GUI',
  'scheduler_task',
  'view'
);

CALL UPSERT_RES_PERM (
  'GUI',
  'scheduler_task',
  'create'
);

CALL UPSERT_RES_PERM (
  'GUI',
  'scheduler_task',
  'edit'
);

CALL UPSERT_RES_PERM (
  'GUI',
  'scheduler_task',
  'delete'
);

CALL UPSERT_RES_PERM (
  'GUI',
  'schedule_entry',
  'view'
);

CALL UPSERT_RES_PERM (
  'GUI',
  'schedule_entry',
  'create'
);

CALL UPSERT_RES_PERM (
  'GUI',
  'schedule_entry',
  'edit'
);

CALL UPSERT_RES_PERM (
  'GUI',
  'schedule_entry',
  'delete'
);


CALL UPSERT_RES_PERM (
  'GUI',
  'transaction',
  'view'
);


CALL UPSERT_RES_PERM (
  'GUI',
  'value',
  'view'
);

CALL UPSERT_RES_PERM (
  'GUI',
  'value',
  'create'
);

CALL UPSERT_RES_PERM (
  'GUI',
  'value',
  'edit'
);

CALL UPSERT_RES_PERM (
  'GUI',
  'value',
  'delete'
);


CALL UPSERT_RES_PERM (
  'GUI',
  'transmission',
  'view'
);

CALL UPSERT_RES_PERM (
  'GUI',
  'fragment',
  'view'
);


CALL UPSERT_RES_PERM (
  'GUI',
  'all_alerts',
  'view'
);


CALL UPSERT_RES_PERM (
  'GUI',
  'cur_monitor',
  'view'
);


CALL UPSERT_RES_PERM (
  'GUI',
  'resolution_action',
  'view'
);

CALL UPSERT_RES_PERM (
  'GUI',
  'resolution_action',
  'execute'
);


CALL UPSERT_RES_PERM (
  'GUI',
  'transaction_monitor',
  'view'
);


CALL UPSERT_RES_PERM (
  'GUI',
  'service',
  'view'
);

CALL UPSERT_RES_PERM (
  'GUI',
  'service',
  'edit'
);

CALL UPSERT_RES_PERM (
  'GUI',
  'service',
  'create'
);

CALL UPSERT_RES_PERM (
  'GUI',
  'service',
  'delete'
);


CALL UPSERT_RES_PERM (
  'GUI',
  'service_participant',
  'view'
);

CALL UPSERT_RES_PERM (
  'GUI',
  'service_participant',
  'edit'
);

CALL UPSERT_RES_PERM (
  'GUI',
  'service_participant',
  'create'
);

CALL UPSERT_RES_PERM (
  'GUI',
  'service_participant',
  'delete'
);


CALL UPSERT_RES_PERM (
  'GUI',
  'txn_recon',
  'view'
);


CALL UPSERT_RES_PERM (
  'GUI',
  'security',
  'view'
);


CALL UPSERT_RES_PERM (
  'GUI',
  'obj_value',
  'view'
);

CALL UPSERT_RES_PERM (
  'GUI',
  'isf',
  'view'
);

CALL UPSERT_RES_PERM (
  'GUI',
  'cbe_xml',
  'view'
);


CALL UPSERT_RES_PERM (
  'GUI',
  'raw_data',
  'view'
);


CALL UPSERT_RES_PERM (
  'GUI',
  'txn_payment',
  'view'
);

CALL UPSERT_RES_PERM (
  'GUI',
  'txn_securities',
  'view'
);


CALL UPSERT_RES_PERM (
  'GUI',
  'fsm',
  'view'
);


CALL UPSERT_RES_PERM (
  'GUI',
  'resolution',
  'view'
);


CALL UPSERT_RES_PERM (
  'GUI',
  'dev-ibm',
  'dev-ibm'
);



COMMIT;


